## NMDeviceIpvlan NMDeviceIpvlan |

## Functions

NMDevice * | nm_device_ipvlan_get_parent ()
const char * | nm_device_ipvlan_get_mode ()
gboolean | nm_device_ipvlan_get_private ()
gboolean | nm_device_ipvlan_get_vepa ()

## Properties

char * | mode | Read
NMDevice * | parent | Read
gboolean | private | Read
gboolean | vepa | Read

## Types and Values

#define | NM_DEVICE_IPVLAN_PARENT
#define | NM_DEVICE_IPVLAN_MODE
#define | NM_DEVICE_IPVLAN_PRIVATE
#define | NM_DEVICE_IPVLAN_VEPA
| NMDeviceIpvlan

## Object Hierarchy

        GObject
        ╰── NMObject
            ╰── NMDevice
                ╰── NMDeviceIpvlan

## Description

## Functions

### nm_device_ipvlan_get_parent ()

    NMDevice *
    nm_device_ipvlan_get_parent (NMDeviceIpvlan *device);

#### Parameters

device | a NMDeviceIpvlan |

#### Returns

the device's parent device.

[transfer none]

Since: 1.52

### nm_device_ipvlan_get_mode ()

    const char *
    nm_device_ipvlan_get_mode (NMDeviceIpvlan *device);

Gets the IPVLAN mode of the device.

#### Parameters

device | a NMDeviceIpvlan |

#### Returns

the IPVLAN mode. This is the internal string used by the device, and must not be modified.

Since: 1.52

### nm_device_ipvlan_get_private ()

    gboolean
    nm_device_ipvlan_get_private (NMDeviceIpvlan *device);

Gets the private flag of the device.

#### Parameters

device | a NMDeviceIpvlan |

#### Returns

the private flag of the device.

Since: 1.52

### nm_device_ipvlan_get_vepa ()

    gboolean
    nm_device_ipvlan_get_vepa (NMDeviceIpvlan *device);

Gets the VEPA flag of the device.

#### Parameters

device | a NMDeviceIpvlan |

#### Returns

the VEPA flag of the device.

Since: 1.52

## Types and Values

### NM_DEVICE_IPVLAN_PARENT

    #define NM_DEVICE_IPVLAN_PARENT  "parent"

### NM_DEVICE_IPVLAN_MODE

    #define NM_DEVICE_IPVLAN_MODE    "mode"

### NM_DEVICE_IPVLAN_PRIVATE

    #define NM_DEVICE_IPVLAN_PRIVATE "private"

### NM_DEVICE_IPVLAN_VEPA

    #define NM_DEVICE_IPVLAN_VEPA    "vepa"

### NMDeviceIpvlan

    typedef struct _NMDeviceIpvlan NMDeviceIpvlan;

Since: 1.52

## Property Details

### The `“mode”` property

      “mode”                     char *

The IPVLAN mode.

Owner: NMDeviceIpvlan

Flags: Read

Default value: NULL

Since: 1.52

### The `“parent”` property

      “parent”                   NMDevice *

The devices's parent device.

Owner: NMDeviceIpvlan

Flags: Read

Since: 1.52

### The `“private”` property

      “private”                  gboolean

Whether the device has the private flag.

Owner: NMDeviceIpvlan

Flags: Read

Default value: FALSE

Since: 1.52

### The `“vepa”` property

      “vepa”                     gboolean

Whether the device has the VEPA flag.

Owner: NMDeviceIpvlan

Flags: Read

Default value: FALSE

Since: 1.52